- Home
- API Enriched
- Tenant And Identity
- web
- GET Support Tenant Access.
GET Support Tenant Access.
GET
/api/web/namespaces/system/allowed_tenants/support-tenant/access
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/allowed_tenants/support-tenant/access';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/allowed_tenants/support-tenant/access \ --header 'Authorization: <Authorization>'GET current access details for the support tenant.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”A successful response.
Media typeapplication/json
GetSupportTenantAccessResp
Response to GET access control configurations for a support tenant.
object
access_config
object
disable
Disable
Temporarily revoke access to this tenant.
boolean format: boolean
read_only
object
read_write_all
object
read_write_ns
object
namespaces
Namespaces
List of namespace name read/write access needs to be restricted to. Required: YES.
Array<string>
Examplegenerated
{ "access_config": { "disable": true, "read_only": {}, "read_write_all": {}, "read_write_ns": { "namespaces": [ "example" ] } }}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example